account.getNotifySettings
Gets current notification settings for a given user/group, from all users/all groups.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Gets current notification settings for a given user/group, from all users/all groups.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/account.getNotifySettings" \ -H "Content-Type: application/json" \ -d '{ "params": { "peer": { "_": "inputNotifyPeer", "peer": { "_": "inputPeerEmpty" } } } }'{ "result": { "_": "peerNotifySettings", "showPreviews": true, "silent": true, "muteUntil": 0, "iosSound": { "_": "notificationSoundDefault" }, "androidSound": { "_": "notificationSoundDefault" }, "otherSound": { "_": "notificationSoundDefault" }, "storiesMuted": true, "storiesHideSender": true, "storiesIosSound": { "_": "notificationSoundDefault" }, "storiesAndroidSound": { "_": "notificationSoundDefault" }, "storiesOtherSound": { "_": "notificationSoundDefault" } }}getNotifyExceptions
Returns list of chats with non-default notification settings
getPaidMessagesRevenue
Get the number of stars we have received from the specified user thanks to [paid messages »](https://core.telegram.org/api/paid-messages); the received amount will be equal to the sent amount multiplied by [stars_paid_message_commission_permille](https://core.telegram.org/api/config#stars-paid-message-commission-permille) divided by 1000.